# 32/64 spec
#
%define name kchmviewer
%define version 6.0
%define release %mkrel 1

Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
Summary: 	Kchmviewer is a new chm viewer for KDE
Summary(de):    Kchmviewer ist ein neuer chm Betrachter für KDE
License: 	GPL
URL: 		http://kchmviewer.sourceforge.net/
Group: 		Graphical desktop/KDE4
Source: 	%name-%version.tar.xz
Source1:	kchmviewer.desktop
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  %{_lib}qtwebkit4
BuildRequires:  kdelibs-devel
BuildRequires:  qt4-devel
BuildRequires:  %{_lib}chm-devel
BuildRequires:	imagemagick
Requires:	okular


%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget 
library, and does not depend on KDE or Gnome. However, 
it may be compiled with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support. 
Unlike others, KchmViewer in most cases correctly detects help file encoding, 
correctly shows tables of context of Russian, Korean, Chinese and Japanese help
files, and correctly searches in non-English help files 
(search for MBCS languages - ja/ko/ch is still in progress).

#german
%description -l de
KchmViewer ist ein chm (MS HTML Hilfe Datei Format) Betrachter, geschrieben 
in C++.Im Unterschied zu den meisten existierenden CHM Betrachter für Unix, 
benutzt er die Trolltech Qt widget Bibliothek und stützt sich nicht auf KDE 
oder GNOME. Wie auch immer, mag er mit voller KDE Unterstützung Compiliert 
sein, inklusive KDE widgets und KIO/KHTML. Der große Vorteil von KchmViewer 
ist eine Unterstützung von nicht-englischen Sprachen. KchmViewer erkennt in 
den meisten Fällen den Hilfe Datei Zeichensatz und zeigt Tabellen im 
Zusammenhang mit Russischer, Koreanischer, Chinesischer und Janpanischen Hilfe 
Dateien und sucht korrekt in den Hilfe Dateien der nicht-englischen Sprachen 
(Suche für MBCS Sprachen - ja/ko/ch schon während der Anwendung).


%prep

%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

rm -f %buildroot%{_kde_libdir}/kde4/kio_msits.so %buildroot%{_kde_datadir}/kde4/services/msits.protocol
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
install -m644 packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/

for i in 16x16 32x32 48x48 64x64; do
    convert -scale $i packages/%{name}.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png
done

%find_lang %{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_iconsdir}/hicolor/*/apps/%{name}.png


%post
%update_menus


%postun
%update_menus

%clean
rm -rf %{buildroot}


%changelog
* Sun Sep 08 2013 pinoc <vogtpet at gmail.com> 6.0-1pclos2013
- 6.0
- updated BR and build for 32/64

* Tue Dec 22 2009 Leiche <MeissSW01@aol.com> 5.1-1pclos2010
- rebuild for 5.1

* Fri Feb 29 2008 Texstar <texstar@gmail.com> 3.1-3pclos2007
- rebuild for 3.5.9

* Thu Oct 18 2007 Texstar <texstar@gmail.com> 3.1-2pclos2007
- Automated Rebuild

* Mon Jun 18 2007 Texstar <texstar@gmail.com> 3.1-1pclos2007
- 3.1

* Tue May 01 2007 Texstar <texstar@gmail.com> 3.0-1pclos2007
- 3.0

* Wed Apr 18 2007 Texstar <texstar@houston.rr.com> 2.7-2pclos2007
- Automated Rebuild

* Sat Dec 09 2006 Texstar <texstar@houston.rr.com> 2.7-1pclos2007
- update
- remove old menu
